<template>
  <a-box-l
    data-cid="{ BhBizcardDetailsHeaderUi }"
    class="reset p-0 flex items-start space-x-2"
  >
    <a-stack-l class="flex-1 reset space-y-1">
      <h3 class="text-lg leading-6 font-medium text-gray-900">
        {{ bizcard.title }}
      </h3>
      <p class="max-w-measure text-sm leading-5 text-gray-500">
        {{ bizcard.source }}
      </p>
    </a-stack-l>
    <!-- prettier-ignore -->
    <button
      type="button"
      aria-label="Hide"
      class="[ relative px-1 ][ text-sm leading-5 font-medium ][ text-gray-900 hover:text-gray-500 ][ focus:z-10 focus:outline-none ][ transition ease-in-out duration-150 ][ ml:hidden ]"
      @click="$emit('go-home')"
    >
      <svg-icon name="app/chevron-down" class="h-6 w-6" />
    </button>
  </a-box-l>
</template>

<script>
export default {
  name: 'BhBizcardDetailsHeaderUi',
  props: {
    bizcard: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>
